# $Revision: 1.46 $, $Date: 2011/05/04 16:20:29 $
Summary:	The GIMP Toolkit - MinGW32 cross version
Summary(pl.UTF-8):	GIMP Toolkit - wersja skrośna dla MinGW32
Name:		crossmingw32-gtk+2
Version:	2.24.4
Release:	2
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk+/2.24/gtk+-%{version}.tar.bz2
# Source0-md5:	e05a700ba79c8813d56e83e80636ee21
URL:		http://www.gtk.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.7
BuildRequires:	crossmingw32-atk >= 1.30.0
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-gdk-pixbuf2 >= 2.22.0
BuildRequires:	crossmingw32-glib2 >= 2.28.0
BuildRequires:	crossmingw32-pango >= 1.28.0
BuildRequires:	gtk-doc >= 1.17
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.15
Requires:	crossmingw32-atk >= 1.30.0
Requires:	crossmingw32-gdk-pixbuf2 >= 2.22.0
Requires:	crossmingw32-glib2 >= 2.28.0
Requires:	crossmingw32-pango >= 1.28.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		abivers	2.10.0

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

#define         filterout_ld            (-Wl,)?-as-needed.*

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
GTK+, which stands for the GIMP ToolKit, is a library for creating
graphical user interfaces for the X Window System. It is designed to
be small, efficient, and flexible. GTK+ is written in C with a very
object-oriented approach. GDK (part of GTK+) is a drawing toolkit
which provides a thin layer over Xlib to help automate things like
dealing with different color depths, and GTK is a widget set for
creating user interfaces.

This package contains the cross version for Win32.

%description -l pl.UTF-8
GTK+, która to biblioteka stała się podstawą programu GIMP, zawiera
funkcje do tworzenia graficznego interfejsu użytkownika pod X Window.
Była tworzona z założeniem żeby była mała, efektywna i wygodna. GTK+
jest napisane w C z podejściem zorientowanym bardzo obiektowo. GDK
(część GTK+) jest warstwą pośrednią pomiędzy Xlib a właściwym GTK
zapewniającą pracę niezależnie od głębi koloru (ilości bitów na
piksel). GTK (druga część GTK+) jest natomiast już zbiorem różnego
rodzaju kontrolek służących do tworzenia interfejsu użytkownika.

Ten pakiet zawiera wersję skrośną dla Win32.

%package dll
Summary:	DLL GTK+ libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL GTK+ dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-atk-dll >= 1.30.0
Requires:	crossmingw32-gdk-pixbuf2-dll >= 2.22.0
Requires:	crossmingw32-glib2-dll >= 2.28.0
Requires:	crossmingw32-pango-dll >= 1.28.0
Requires:	wine

%description dll
DLL GTK+ libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL GTK+ dla Windows.

%prep
%setup -q -n gtk+-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ac_cv_path_CUPS_CONFIG=no \
	--target=%{target} \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-man \
	--disable-xkb \
	--with-gdktarget=win32 \
	--without-x \
	--without-xinput

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# .def installation is not parallel-compliant
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

# remove unsupported locale scheme
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,gtk-2.0,gtk-doc,locale,man,themes}
# shut up check-files (static modules and *.la for modules)
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{a,la}
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.*/*/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libgailutil.dll.a
%{_libdir}/libgdk-win32-2.0.dll.a
%{_libdir}/libgtk-win32-2.0.dll.a
%{_libdir}/libgailutil.la
%{_libdir}/libgdk-win32-2.0.la
%{_libdir}/libgtk-win32-2.0.la
%{_libdir}/gailutil.def
%{_libdir}/gdk-win32-2.0.def
%{_libdir}/gtk-win32-2.0.def
%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/include
%{_includedir}/gail-1.0
%{_includedir}/gtk-2.0
%{_includedir}/gtk-unix-print-2.0
%{_pkgconfigdir}/gail.pc
%{_pkgconfigdir}/gdk-2.0.pc
%{_pkgconfigdir}/gdk-win32-2.0.pc
%{_pkgconfigdir}/gtk+-2.0.pc
%{_pkgconfigdir}/gtk+-win32-2.0.pc

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libgailutil-*.dll
%{_dlldir}/libgdk-win32-2.0-*.dll
%{_dlldir}/libgtk-win32-2.0-*.dll
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/2.10.0
%dir %{_libdir}/gtk-2.0/2.10.0/engines
%{_libdir}/gtk-2.0/2.10.0/engines/libpixmap.dll
%{_libdir}/gtk-2.0/2.10.0/engines/libwimp.dll
%dir %{_libdir}/gtk-2.0/2.10.0/immodules
%{_libdir}/gtk-2.0/2.10.0/immodules/im-*.dll
%dir %{_libdir}/gtk-2.0/modules
%{_libdir}/gtk-2.0/modules/libgail.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-gtk+2.spec,v $
Revision 1.46  2011/05/04 16:20:29  qboosh
- fixed typo in -dll dependency
- release 2

Revision 1.45  2011/04/20 16:45:13  qboosh
- updated to 2.24.4
- BRs cleanup after gdk-pixbuf2 split

Revision 1.44  2011/03/15 16:51:36  qboosh
- updated to 2.24.3

Revision 1.43  2011/03/05 11:17:21  qboosh
- updated to 2.24.1

Revision 1.42  2011/02/12 06:34:49  qboosh
- updated to 2.24.0

Revision 1.41  2010/11/17 07:20:18  qboosh
- updated to 2.22.1

Revision 1.40  2010/10/04 19:55:43  qboosh
- updated to 2.22.0

Revision 1.39  2010/09/19 05:38:56  qboosh
- unified MinGW32 caps

Revision 1.38  2010/05/10 06:00:10  qboosh
- updated to 2.20.1
- package modules .dll files

Revision 1.37  2010/03/24 21:16:59  qboosh
- updated to 2.18.9
- gtk-doc needed for auto* regeneration

Revision 1.36  2009/03/24 22:37:11  qboosh
- updated to 2.16.0

Revision 1.35  2009/01/13 18:42:46  qboosh
- updated to 2.14.7

Revision 1.34  2008/12/25 12:35:46  qboosh
- updated to 2.14.6

Revision 1.33  2008/11/28 05:33:35  qboosh
- updated to 2.14.5

Revision 1.32  2008/10/19 20:47:11  qboosh
- updated to 2.14.4

Revision 1.31  2008/09/30 19:27:51  qboosh
- updated to 2.14.3
- BR: crossmingw32-jasper (for JPEG-2000 loader)
- removed libjpeg,libtiff BRs (handled through gdiplus now)

Revision 1.30  2008/07/09 18:37:54  qboosh
- updated to 2.12.11

Revision 1.29  2008/06/11 18:05:07  qboosh
- updated to 2.12.10

Revision 1.28  2008-03-13 20:08:34  qboosh
- updated to 2.12.9

Revision 1.27  2008-02-14 06:42:28  qboosh
- updated to 2.12.8

Revision 1.26  2008-02-01 18:30:25  qboosh
- updated to 2.12.7

Revision 1.25  2008-01-14 19:24:24  qboosh
- unified macros order

Revision 1.24  2008-01-09 21:38:50  qboosh
- updated md5

Revision 1.23  2008-01-09 21:35:04  qboosh
- updated to 2.12.5
- more verbose files
- force %{_lib}-independent libdir

Revision 1.22  2007-12-12 21:20:01  qboosh
- updated to 2.12.3

Revision 1.21  2007-11-27 22:09:49  qboosh
- updated to 2.12.2
- removed obsolete libtool patch

Revision 1.20  2007-10-20 23:54:26  wolf
- build modules

Revision 1.19  2007/10/20 22:48:47  wolf
- 2.12.1

Revision 1.18  2007/09/18 16:35:04  qboosh
- updated to 2.12.0
- ensure that (native) cups is not detected

Revision 1.17  2007/08/28 17:15:10  qboosh
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

Revision 1.16  2007/08/26 17:08:28  qboosh
- unified gnome source URL

Revision 1.15  2007/07/31 18:07:15  qboosh
- updated to 2.10.14
- added libtool patch

Revision 1.14  2007/06/14 05:55:29  qboosh
- updated to 2.10.13

Revision 1.13  2007/05/07 20:28:43  qboosh
- updated to 2.10.12
- removed obsolete w32api patch

Revision 1.12  2007/03/08 13:08:15  qboosh
- main Group fix

Revision 1.11  2007/03/08 12:46:00  qboosh
- added w32api patch to fix build with latest mingw32/w32api
- cleanup, separated -dll

Revision 1.10  2007/02/25 15:11:21  czarny
- proper build
- needs static build as well

Revision 1.9  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.7  2004/12/16 02:23:03  zbyniu
- BR: unzip

Revision 1.6  2004/11/20 16:24:39  qboosh
- up to 2.4.13, use setup for working clean, files fixes, added deps

Revision 1.5  2004/10/30 11:38:56  qboosh
- too much

Revision 1.4  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.3  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.2  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.1  2004/06/24 20:16:33  undefine
- initital version by Cezary Krzyżanowski <czarny@czarny.is-a-geek.org>

Revision 1.3  2003/12/19 18:21:02  undefine
- adapterized, add md5sum, not include all %{arch}

Revision 1.2  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.1  2003/08/27 16:21:28  ggodlewski
- 1st rel
